## org.apache.batik.svggen.font.table
Class ScriptList

    java.lang.Object
      org.apache.batik.svggen.font.table.ScriptList

public class ScriptList
extends java.lang.Object

Constructor Summary
`protected` `ScriptList(java.io.RandomAccessFile raf, int offset)` Creates new ScriptList

Method Summary
`Script` `findScript(java.lang.String tag)`
`int` `getScriptCount()`
`ScriptRecord` `getScriptRecord(int i)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScriptList

    protected ScriptList(java.io.RandomAccessFile raf,
                         int offset)
                  throws java.io.IOException

  Creates new ScriptList

Method Detail

### getScriptCount

    public int getScriptCount()

### getScriptRecord

    public ScriptRecord getScriptRecord(int i)

### findScript

    public Script findScript(java.lang.String tag)

Copyright © 2004 Apache Software Foundation. All Rights Reserved.